%define Product GroupUserFolder
%define product groupuserfolder
%define name    zope-%{Product}
%define version 3.55.1
%define bad_version %(echo %{version} | sed -e 's/\\./-/g')
%define release %mkrel 1

%define zope_minver      2.5
%define zope_home       %{_prefix}/lib/zope
%define software_home   %{zope_home}/lib/python

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    GRUF is a convenient tool to manage groups of users within Zope
License:    Zope Public License (ZPL)
Group:      System/Servers
URL:        http://plone.org/products/%{product}
Source:     http://plone.org/products/%{product}/releases/%{version}/%{product}-%{bad_version}.tgz
Requires:   zope >= %{zope_minver}
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
GRUF is a convenient tool to manage groups of users within Zope.

It works as a frontend between a Zope application relying on a UserFolder 
and a set of two regular UserFolders : one will store the users and the 
other one will store the groups.

It has a whole bunch of cool features, especially :
It doesn't patch anything in Zope ;
It integrates smoothly without the need of any additional form (some are 
provided but it's only for convenience) ;
It doesn't store users by itself but delegates that job to another User 
Folder. So, it works with virtually ANY Zope UserFolder in there ! 
(especially standard acl_users but also LDAPUserFolder, SimpleUserFolder...)

It supports groups nesting (ie. groups can belong to other groups and 
'inherit' their roles It allows groups and users to be stored in a separated 
backend (eg. groups in ZODB and users in LDAP, ...);
It supports (since 2.0 version) multiple user sources, ie. you can have a 
bunch of users in LDAP plus some users in a standard User Folder, and they all 
will be integrated to GRUF;

It provides clean management screens (including user and groups editing 
interfaces) ; It provides security auditing tools ; It's compatible with 
regular Zope UserFolder API ;
Groups are seen as regular Zope users in applications that doesn't include 
groups support. Thus, you don't have to rewrite anything to gain benefit from 
GRUF's groups !

GRUF has been designed by the Ingeniweb team.

%prep
%setup -c -q

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%files
%defattr(-,root,root)
%{software_home}/Products/*


%changelog
* Fri Dec 14 2007 Giuseppe Ghibò <ghibo@mandriva.com> 3.55.1-1mdv2007.1
+ Revision: 120030
- Release 3.55.1.

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.55.0-1mdv2008.0
+ Revision: 88597
- new version


* Tue Dec 19 2006 Gaëtan Lehmann <glehmann@mandriva.org> 3.54.1-1mdv2007.0
+ Revision: 99934
- 3.54.1

* Wed Aug 09 2006 Gaëtan Lehmann <glehmann@mandriva.org> 3.52-1mdv2007.0
+ Revision: 54440
- update to 3.52

* Tue Aug 08 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.5-2mdv2007.0
+ Revision: 53909
- Increase release
- Fix  rpmlint warnings

  + Gaëtan Lehmann <glehmann@mandriva.org>
    - Import zope-GroupUserFolder

* Sat Mar 04 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.5-1mdk
- 3.5

* Sun Oct 23 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.4-1mdk
- New release 3.4
- fix source URL

* Mon Aug 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.3-2mdk
- fix path on x86_64

* Mon Aug 01 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.3-1mdk
- New release 3.3

* Mon Apr 25 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 3.2-1mdk
- New release 3.2
- use mkrel
- remove patch 0 (fixed in source)

* Mon Jan 17 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.2-0.rc1.1mdk
- 3.2 RC1
- fix uninstall error message

* Sun Dec 12 2004 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.1.1-1mdk
- initial contrib
- 3.1.1

